/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {UserPrincipalResponse} from "./userPrincipalResponse";
import {ProjectPrincipalResponse} from "./projectPrincipalResponse";

export class UserResponse {
    public principal: UserPrincipalResponse;

    public projects: ProjectPrincipalResponse[];

    /**
     * Creates a UserResponse.
     *
     * @param {UserPrincipalResponse} principal
     * @param {ProjectPrincipalResponse} projects
     */
    constructor(principal: UserPrincipalResponse, projects: ProjectPrincipalResponse[]) {
        this.principal = principal;
        this.projects = projects;
    }
}
